#
# Copyright (c) 2013
# Nathan Currier
#
# Use, modification, and distribution are all subject to the
# Boost Software License, Version 1.0. (See the accompanying
# file LICENSE.md or at http://rideliner.tk/LICENSE.html).
#
# <description>
#

require 'bakery/cake'
require 'bakery/dsl'
require 'bakery/ingredient'

require 'bakery/detail/dispatcher'
require 'bakery/detail/global_function'
require 'bakery/detail/icing'
require 'bakery/detail/load'
require 'bakery/detail/log'
require 'bakery/detail/marker'
require 'bakery/detail/search'

module Bakery
  ROOT_DIR = Dir.pwd

  LIB_DIR = File.dirname __FILE__

  INGREDIENTS_DIR = File.join LIB_DIR, 'bakery', 'ingredients'
  INGREDIENTS_DETAIL_DIR = File.join INGREDIENTS_DIR, 'detail'

  ICING_SEARCH = PathSearch.new [ Dir.home, File.join(Dir.home, '.bakery'), File.join('/', 'etc', 'bakery') ]
  ICING_SEARCH.defaultExts = [ 'icing' ]
end

