#
# Copyright (c) 2013
# Nathan Currier
#
# Use, modification, and distribution are all subject to the
# Boost Software License, Version 1.0. (See the accompanying
# file LICENSE.md or at http://rideliner.tk/LICENSE.html).
#
# <description>
#

module Bakery
  @currentCake = nil

  class Cake
    def initialize parent
      @parent = parent
      @root = Dir.pwd
      @icing = Hash.new
    end

    def root
      @root
    end

    def icing
      @icing
    end

    def parent
      @parent
    end
  end

  class << self
    def addCake
      cake = Cake.new @currentCake

      Bakery::Log.debug "entering project: #{cake.root}"

      @currentCake = cake
    end

    def removeCake
      Bakery::Log.debug "leaving project: #{@currentCake.root}"

      @currentCake = @currentCake.parent
    end

    def getCake
      @currentCake
    end
  end
end

