#
# Copyright (c) 2013
# Nathan Currier
#
# Use, modification, and distribution are all subject to the
# Boost Software License, Version 1.0. (See the accompanying
# file LICENSE.md or at http://rideliner.tk/LICENSE.html).
#
# <description>
#

module Dispatcher
  def self.included base
    base.extend InitializeWithBlock
  end

  module InitializeWithBlock
    def new *args, &block
      obj = self.allocate
      obj.send :initialize, *args, &block
      obj
    end
  end

  def dispatch &block
    if block
      self.instance_eval &block
    end
  end
end

