#
# Copyright (c) 2013
# Nathan Currier
#
# Use, modification, and distribution are all subject to the
# Boost Software License, Version 1.0. (See the accompanying
# file LICENSE.md or at http://rideliner.tk/LICENSE.html).
#
# <description>
#

module Bakery
  module Log
    class << self
    private
      def print tag, msg
        puts "[#{tag}] #{msg}"
      end
    public
      def puts msg
        $stderr.puts msg
      end

      # output if not quiet
      def warning msg
        print 'WARNING', msg unless QUIET
      end

      # output all the time
      def error msg
        print 'ERROR', msg
      end

      # output if verbose
      def info msg
        print 'INFO', msg if VERBOSE
      end

      # output if debugging
      def debug msg
        print 'DEBUG', msg if DEBUG
      end
    end
  end
end

