#
# Copyright (c) 2013
# Nathan Currier
#
# Use, modification, and distribution are all subject to the
# Boost Software License, Version 1.0. (See the accompanying
# file LICENSE.md or at http://rideliner.tk/LICENSE.html).
#
# <description>
#

module Bakery
  @markers = Array.new

  class << self
    def removeMarkerLayerFromStack path
      # remove all markers that are in the current directory
      @markers.select! { |marker|
        removed = !marker.getPath.start_with?(path)

        if removed
          Bakery::Log.debug "unset #{marker.class}: #{marker.getPath}"
        end

        removed
      }
    end

    def getLatestMarkerOfType type
      @markers.reverse_each { |marker|
        if marker.is_a? type
          return marker
        end
      }

      nil
    end

    def markers
      @markers
    end
  end
end

