#
# Copyright (c) 2013
# Nathan Currier
#
# Use, modification, and distribution are all subject to the
# Boost Software License, Version 1.0. (See the accompanying
# file LICENSE.md or at http://rideliner.tk/LICENSE.html).
#
# <description>
#

def name n
  if Bakery.getCake.icing[:name] == nil
    Bakery::Log.debug "name set: #{n}"
  else
    Bakery::Log.debug "name overwritten: #{n}"
  end

  Bakery.getCake.icing[:name] = n
end

def authors *names
  if Bakery.getCake.icing[:authors] == nil
    Bakery::Log.debug "authors set: #{names}"

    Bakery.getCake.icing[:authors] = Array.new
  else
    Bakery::Log.debug "authors concatenated: #{names}"
  end

  Bakery.getCake.icing[:authors].concat names
end

alias :author :authors

def description *desc
  if Bakery.getCake.icing[:description] == nil
    Bakery::Log.debug "description set: #{desc}"

    Bakery.getCake.icing[:description] = Array.new
  else
    Bakery::Log.debug "description concatenated: #{desc}"
  end

  Bakery.getCake.icing[:description].concat desc
end

def summary *sum
  if Bakery.getCake.icing[:summary] == nil
    Bakery::Log.debug "summary set: #{sum}"

    Bakery.getCake.icing[:summary] = Array.new
  else
    Bakery::Log.debug "summary concatenated: #{sum}"
  end

  Bakery.getCake.icing[:summary].concat sum
end

def copyright *lines
  if Bakery.icing[:copyright] == nil
    Bakery::Log.debug "copyright set: #{lines}"
  else
    Bakery::Log.debug "copyright overwritten: #{lines}"
  end

  Bakery.getCake.icing[:copyright] = lines
end

def defaultAuthors *names
  if Bakery.icing[:authors] == nil
    Bakery::Log.debug "default author set: #{names}"
  else
    Bakery::Log.debug "default author overwritten: #{names}"
  end

  Bakery.icing[:authors] = names
end

alias :defaultAuthor :defaultAuthors

def defaultCopyright *lines
  if Bakery.icing[:copyright] == nil
    Bakery::Log.debug "default copyright set: #{lines}"
  else
    Bakery::Log.debug "default copyright overwritten: #{lines}"
  end

  Bakery.icing[:copyright] = lines
end

def defaultDescription *desc
  if Bakery.icing[:description] == nil
    Bakery::Log.debug "default description set: #{desc}"
  else
    Bakery::Log.debug "default description overwritten: #{desc}"
  end

  Bakery.icing[:description] = desc
end

def loadIcing filename
  Bakery::ICING_SEARCH.search(filename) { |file|
    Bakery::Log.info "loading icing: #{file}"
    load file
  }
end

